﻿package {

	import flash.display.MovieClip;
	import com.greensock.*;
	import com.greensock.easing.*;
	//import com.greensock.TweenAlign;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	import flash.text.TextField;



	public class MultipleTweensGood extends MovieClip {

		public var tl:TimelineLite;

		
		//stage instances
		public var meet_mc:MovieClip;
		public var the_mc:MovieClip;
		public var blobs_mc:MovieClip;
		
		public var blob1_mc:MovieClip;
		public var blob2_mc:MovieClip;
		public var blob3_mc:MovieClip;
		public var blob4_mc:MovieClip;
		public var blob5_mc:MovieClip;
		public var blob6_mc:MovieClip;
		public var blob7_mc:MovieClip;
		
		public var allBlobs:Array;
	
		public function MultipleTweensGood():void {

			if (stage) init();
            else addEventListener(Event.ADDED_TO_STAGE, init);
		}

		private function init(e:Event = null):void {
			
			allBlobs = [blob1_mc, blob2_mc,  blob3_mc, blob4_mc,  blob5_mc, blob6_mc,  blob7_mc]
			
			
			createMasterTimeline();	
			
		}


		
		
		
		private function createMasterTimeline():void {
			
			
			tl = new TimelineLite({delay:.5});
			
			//meet the blobs text
			//uses array of unique tweens
			
			tl.appendMultiple( [TweenLite.from( meet_mc, .5, {x:-100, rotation:-90, scaleX:0, scaleY:0, ease:Back.easeOut} ),
								TweenLite.from( the_mc, .5, {y:-100, rotation:-90, scaleX:0, scaleY:0, ease:Back.easeOut} ),
								TweenLite.from( blobs_mc, .5, {x:700, rotation:90, scaleX:0, scaleY:0, ease:Back.easeOut} ) ], 0, "sequence", 0);
			
			
			//blobs animation
			//uses allFrom to create an array of tweens with same values on multiple targets
			tl.appendMultiple( TweenMax.allFrom( allBlobs, .3, {scaleX:0, scaleY:0, x:"100"} ), 0, "normal", .1 )			
			
			
		

		}
		
		
			
			
		
		
			
		
	}

}






